import java.io.*;
import java.sql.SQLException;
import java.util.*;
import com.ibatis.common.resources.Resources;
import com.ibatis.sqlmap.client.SqlMapClient;
import com.ibatis.sqlmap.client.SqlMapClientBuilder;

public class IbatisResultMap{
	public static void main(String[] args) throws IOException,SQLException{
		Reader reader = Resources.getResourceAsReader("SqlMapConfig.xml");
	    SqlMapClient sqlMap = SqlMapClientBuilder.buildSqlMapClient(reader);
	    //Output contact by Id
	    System.out.println("*------Information by Contact Id-------*");
	    Contact contact = (Contact)sqlMap.queryForObject("Contact.getById",new Integer(1));
	    System.out.println("|Id          = " + contact.getId());
		System.out.println("|First Name  = " + contact.getFirstName());
		System.out.println("|Last Name   = " + contact.getLastName());
		System.out.println("|Email Id    = " + contact.getEmail());
	    System.out.println("=======================================");
	    }		
}